class LeaveUpperPlayfieldEvent:
    def __init__(self, playerState, flipper):
        self.playerState = playerState
        self.flipper = flipper

    def trigger(self):
        self.flipper.deactivate()
        self.playerState.stopUpperPlayfieldTimer()